{
  "compilerOptions": {
    "allowJs": true,
    "alwaysStrict": true,
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "lib": [
      "dom",
      "esnext"
    ],
    "module": "esnext",
    "moduleResolution": "node",
    "noEmit": true,
    "noFallthroughCasesInSwitch": true,
    "noImplicitAny": false, // TODO: switch true
    "noUnusedLocals": false, // TODO: switch true
    "noUnusedParameters": false, // TODO: switch true
    "resolveJsonModule": true,
    "skipLibCheck": true,
    "sourceMap": true,
    "strict": false, // TODO: switch true
    "target": "esnext",
    "typeRoots": [
      "types",
      "node_modules/@types"
    ],
    "baseUrl": "./",
    "paths": {
      "@api/*": [
        "src/api/*"
      ],
      "@components/*": [
        "src/components/*"
      ],
      "@hooks/*": [
        "src/hooks/*"
      ],
      "@models/*": [
        "src/models/*"
      ],
      "@pages/*": [
        "src/pages/*"
      ],
      "@theme/*": [
        "src/theme/*"
      ],
      "@views/*": [
        "src/views/*"
      ],
      "@utils/*": [
        "src/utils/*"
      ]
    },
    "incremental": true
  },
  "include": [
    "./src/**/*",
    "./types/**/*",
    "./tests/testcafe/**/*",
    "next-sitemap.config.js",
    "next.config.js",
    "jest.config.js",
    ".eslintrc.js",
    "sentry.client.config.js",
    "sentry.server.config.js"
  ],
  "exclude": [
    "node_modules"
  ]
}
